xine-lib: asf_stream_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
asf_stream_s Struct Reference

`#include <asfheader.h>`

## Data Fields
uint16_t | stream_number
asf_guid_t | stream_type
asf_guid_t | error_correction_type
uint64_t | time_offset
uint32_t | private_data_length
uint8_t * | private_data
uint32_t | error_correction_data_length
uint8_t * | error_correction_data
uint8_t | encrypted_flag

## Field Documentation

## ◆ encrypted_flag

uint8_t asf_stream_s::encrypted_flag

Referenced by asf_header_parse_stream_properties(), and asf_read_header().

## ◆ error_correction_data

uint8_t* asf_stream_s::error_correction_data

Referenced by asf_header_delete_stream_properties(), asf_header_parse_stream_properties(), asf_read_header(), and demux_asf_send_headers_common().

## ◆ error_correction_data_length

uint32_t asf_stream_s::error_correction_data_length

Referenced by asf_header_parse_stream_properties(), asf_read_header(), and demux_asf_send_headers_common().

## ◆ error_correction_type

asf_guid_t asf_stream_s::error_correction_type

Referenced by asf_header_parse_stream_properties(), asf_read_header(), and demux_asf_send_headers_common().

## ◆ private_data

uint8_t* asf_stream_s::private_data

Referenced by asf_header_delete_stream_properties(), asf_header_parse_stream_properties(), asf_read_header(), asf_send_audio_header(), and asf_send_video_header().

## ◆ private_data_length

uint32_t asf_stream_s::private_data_length

Referenced by asf_header_parse_stream_properties(), asf_read_header(), asf_send_audio_header(), and asf_send_video_header().

## ◆ stream_number

uint16_t asf_stream_s::stream_number

Referenced by asf_header_choose_streams(), asf_header_disable_streams(), asf_header_parse_stream_properties(), and asf_read_header().

## ◆ stream_type

asf_guid_t asf_stream_s::stream_type

Referenced by asf_header_choose_stream(), asf_header_disable_streams(), asf_header_parse_stream_properties(), and asf_read_header().

## ◆ time_offset

uint64_t asf_stream_s::time_offset

Referenced by asf_header_parse_stream_properties().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/demuxers/asfheader.h